from django.urls import path, include # 确保 include 已导入
from rest_framework.routers import DefaultRouter # 导入 DefaultRouter
from .views import (
    UserRegistrationView, 
    UserProfileView,
    InterestTagViewSet,
    RecommendedUserListView # <<<< 新增导入 RecommendedUserListView
)
from rest_framework_simplejwt.views import (
    TokenObtainPairView,
    TokenRefreshView,
)

app_name = 'accounts'

# 1. 创建一个路由器实例
router = DefaultRouter()

# 2. 注册 InterestTagViewSet 到路由器
#    'tags' 是这个ViewSet在URL中的前缀。
#    例如，相关的URL会是 /api/v1/accounts/tags/ 和 /api/v1/accounts/tags/<pk>/
#    basename='interesttag' 用于自动生成URL的名称，如 'interesttag-list', 'interesttag-detail'
router.register(r'tags', InterestTagViewSet, basename='interesttag')


urlpatterns = [
    # 用户认证和资料相关的URL
    path('register/', UserRegistrationView.as_view(), name='user_register'),
    path('login/', TokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('profile/', UserProfileView.as_view(), name='user_profile'),

    # 新增：推荐用户列表API
    path('users/recommendations/', RecommendedUserListView.as_view(), name='user_recommendations'), # <<<< 新增这行

    # 3. 将路由器生成的URL模式 (为InterestTagViewSet生成的 /tags/ 和 /tags/<pk>/) 包含到 urlpatterns 中
    path('', include(router.urls)),
]